org.apache.maven.artifact.installer

## Interface ArtifactInstaller

All Known Implementing Classes:
  DefaultArtifactInstaller

    public interface ArtifactInstaller

Version:
  $Id: ArtifactInstaller.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  Michal Maczka

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`void` `install(java.io.File source, Artifact artifact, ArtifactRepository localRepository)` Install an artifact from a particular file.
`void` `install(java.lang.String basedir, java.lang.String finalName, Artifact artifact, ArtifactRepository localRepository)` Deprecated. to be removed before 2.0 after the instlal/deploy plugins use the alternate method

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### install

    void install(java.lang.String basedir,
               java.lang.String finalName,
               Artifact artifact,
               ArtifactRepository localRepository)
                 throws ArtifactInstallationException

Deprecated. to be removed before 2.0 after the instlal/deploy plugins use the alternate method
Install an artifact from a particular directory. The artifact handler is used to determine the filename of the source file.

Parameters:
  `basedir` - the directory where the artifact is stored
  `finalName` - the name of the artifact sans extension
  `artifact` - the artifact definition
  `localRepository` - the local repository to install into
Throws:
  `ArtifactInstallationException` - if an error occurred installing the artifact

#### install

    void install(java.io.File source,
               Artifact artifact,
               ArtifactRepository localRepository)
                 throws ArtifactInstallationException

Install an artifact from a particular file.

Parameters:
  `source` - the file to install
  `artifact` - the artifact definition
  `localRepository` - the local repository to install into
Throws:
  `ArtifactInstallationException` - if an error occurred installing the artifact